/* You can add global styles to this file, and also import other style files */

:root {
  --elis-cell-header-background: #ddd;
  --elis-cell-background: #eee;
  --elis-tips-background: #d9edf7;
  --elis-tips-border: #c4e3f0;
  --elis-tips-text: #3b7895;
  --elis-n-lex-blue: #007ea8;
  --elis-blue: #112250;
  --elis-green: #008ea8;
  --elis-main-text-color: #444;
  --elis-secondary-text: #666666;
  --elis-translation-text: #31708f;
  --elis-tint-1: #697188;
  --elis-tint-2: #ccc;
  --elis-tint-3: #ddd;
  --elis-tint-4: #949494;
  --elis-danger-text: #a94442;
  --elis-alert-border-color: #ebccd1;
  --elis-alert-background-color: #f2dede;
  --elis-input-border: #757575;

  /* Css overrides */
  --eui-app-toolbar-height: 50px !important;
  --eui-f-family: 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', 'Arial', sans-serif !important;
  --eui-f-size-base: 15px !important;
}

.eui-app {
  /* eui app breaks the css sticky position */
  overflow: visible !important;
}

.eui-header {
  background: var(--elis-cell-background) !important;
}

/* Hacks to circumvent limitations of the eUI library */
.eui-toolbar .eui-toolbar__center {
  margin-left: inherit;
}

.eui-app-main .eui--primary .eui-toolbar {
  background-color: var(--elis-blue);
  border-bottom: 5px solid var(--elis-green);
  padding-bottom: 0;
}

.eui-app-main .eui--primary .eui-toolbar .eui-toolbar-navbar {
  height: inherit;
}

.eui-toolbar .eui-toolbar-navbar .eui-toolbar-navbar-item {
  padding: 5px;
  text-transform: uppercase;
  font-size: 0.85em;
  margin-right: 2rem;
  background: #112250;
}

.eui-toolbar .eui-toolbar-navbar .eui-toolbar-navbar-item.debug {
  background-color: var(--eui-c-accent-dark);
}

.eui-toolbar-navbar-item--active {
  border: 2px solid var(--elis-tint-1) !important;
  border-radius: 4px;
  color: #fff !important;
}

.eui-u-text-link-standalone {
  color: var(--elis-tint-1) !important;
}

.eui-breadcrumb-item__label {
  font-weight: normal !important;
}

/** buttons overrides **/
.eui-button {
  font-family: var(--elis-font-family), sans-serif;
  font-size: 14px !important;
  font-weight: bold !important;
  background-color: var(--elis-tint-3) !important;
  border-radius: 3px !important;
  min-width: 90px;
  border: 1px solid transparent !important;
  line-height: 20px !important;
  padding: 10px !important;
}

.eui-button--accent {
  background-color: var(--eui-c-accent-light) !important;
}

.eui-button--primary {
  background-color: var(--elis-n-lex-blue) !important;
  border: 1px solid transparent;
}

/** date picker overrides **/
eui-datepicker .eui-button--icon-only {
  background-color: var(--elis-n-lex-blue) !important;
  color: white;
}

/** paginator overrides**/
.eui-paginator__page-navigation-item .eui-button {
  background-color: white !important;

  .eui-icon-svg > svg {
    fill: var(--elis-tint-1) !important;
    color: var(--elis-tint-1) !important;
  }
}

.eui-paginator__page-navigation-numbers {
  .eui-button {
    margin-left: 5px;
    margin-right: 5px;
    background-color: white !important;
    height: 35px !important;
    color: var(--elis-secondary-text) !important;
    border: 1px solid var(--elis-tint-3) !important;
  }

  .eui-button--primary {
    background-color: var(--elis-tint-1) !important;
    color: white !important;
    border: 1px solid var(--elis-tint-1) !important;
  }
}

.eui-paginator__page-range-main,
.eui-paginator__page-selector {
  font-family: var(--elis-font-family), sans-serif !important;
  font-size: 0.8rem !important;
}

/** breadcrumb overrides **/
.eui-breadcrumb-item__label {
  color: var(--elis-tint-1);
}

.eui-breadcrumb-item__separator {
  .eui-icon-svg > svg {
    fill: var(--elis-tint-1) !important;
    color: var(--elis-tint-1) !important;
  }
}

/** feedback message overrides **/
.eui-feedback-message--danger > .eui-feedback-message__content {
  color: var(--elis-danger-text);
}

.eui-popover__header {
  background-color: var(--elis-cell-header-background);
  border-bottom: none !important;
}

.eui-popover__content {
  background-color: var(--elis-cell-background);
  li {
    list-style: none;
    padding-left: 0;
  }
}

.eui-popover-position .eui-popover__arrow-inner {
  // border-left-color: var(--elis-cell-background) !important;
  // border-right-color: var(--elis-cell-background) !important;
}

.eui-popover-position .eui-popover__arrow {
  color: var(--elis-cell-header-background) !important;
}

.eui-input-checkbox:not(.cdk-visually-hidden),
.eui-input-checkbox:not(.cdk-visually-hidden):checked:before,
.eui-input-radio:not(.cdk-visually-hidden),
.eui-input-radio:not(.cdk-visually-hidden):checked:before {
  height: var(--eui-s-m) !important;
  width: var(--eui-s-m) !important;
  border-width: 1px !important;
  border-color: var(--elis-input-border);
}

elis-form-field {
  .eui-input-text::placeholder {
    color: var(--elis-input-border) !important;
  }
}

.eui-chip {
  background-color: var(--elis-cell-header-background);
}

/** overrides eui-tree-list **/
.eui-tree-list-item-header__content .eui-u-flex {
  order: 1;
}

.eui-tree-list-item-header__content-expand-toggle-wrapper {
  margin-left: 0 !important;
}

/** overrides eui-tree-list-toolbar **/
.eui-tree-list-toolbar {
  padding-left: 0 !important;
  .eui-icon-input {
    display: none !important;
  }
}

.eui-page-column__header-left-content-label {
  font-size: 1.133rem !important;
  color: var(--elis-main-text-color);
  font-weight: bold !important;
}

/** header and logo **/
.elis-nlex-logo {
  background-size: cover;
  width: 204px;
  height: 69px;
}

.elis-header-environment {
  background-color: var(--eui-c-danger-dark);
  color: var(--eui-c-white);
  font: var(--eui-f-xl);
  opacity: var(--eui-o-50);
  position: absolute;
  text-align: center;
  top: var(--eui-s-l);
  transform: rotate(-10deg);
  width: 90%;
  left: 30px !important;
}

/** titles overrides **/
h1 {
  font-size: 1.8rem !important;
  color: var(--elis-main-text-color);
  border-bottom: 1px solid var(--elis-tint-2) !important;
  padding-bottom: 4px;
}

h2 {
  font-size: 1.133rem !important;
  color: var(--elis-main-text-color);
}

/** list overrides **/
dd,
dt {
  display: inline;
}

dd {
  margin-left: 8px;
}

dt:after {
  content: ':';
}

/** footer **/
.elis-footer {
  width: 100%;
  background-color: var(--elis-cell-background);

  ul {
    list-style: none;
    padding-left: 0;

    a {
      color: var(--elis-main-text-color);
      text-decoration: none;
    }
  }
}

.elis-footer-container {
  margin-inline-end: auto;
  margin-inline-start: auto;
}

.list-unstyled li {
  display: inline;
  padding-right: 2rem;
}

.elis-dark-footer {
  width: 100%;
  background-color: var(--elis-tint-3);
}

.ecl-spinner__loader {
  stroke: white;
  height: 1.2rem;
  width: 1.2rem;
}

/** elis sticky search bar **/
.elis-sticky-panel {
  position: sticky;
  z-index: 100;
  top: 60px;
  outline: 10px solid var(--eui-c-bg);
}

@media (min-width: 768px) {
  .elis-sticky-panel {
    top: 150px !important;
  }
}

.elis-fixed-position {
  border: 3px solid rgba(8, 127, 170, 0.5) !important;
}

.elis-messages {
  padding: 10px;
  border-color: var(--elis-alert-border-color);
  background-color: var(--elis-alert-background-color) !important;
  color: var(--elis-danger-text);
  border-radius: 4px;
}

.elis-error-icon {
  width: 20px;
  height: 20px;
  margin-right: 10px;
}

.elis-disclaimer {
  color: var(--elis-danger-text);
}
